From 924aaac11fd84ef32a1612a10619302b6f0ebe87 Mon Sep 17 00:00:00 2001
From: Xavier Lacot <xavier@lacot.org>
Date: Fri, 15 Nov 2013 23:17:54 +0100
Subject: [PATCH]  * the insert_replace operation must return the last inserted
 id  * reordered some methods

---
 joli.js | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/joli.js b/joli.js
index 6cfdb5c..6416476 100644
--- a/joli.js
+++ b/joli.js
@@ -453,6 +453,7 @@ var joliCreator = function() {
                     rows = joli.connection.execute(query);
                     return this.getCount(rows);
                 case 'insert_into':
+                case 'insert_replace':
                     joli.connection.execute(query);
                     return joli.connection.lastInsertRowId();
                 case 'select':
@@ -497,10 +498,10 @@ var joliCreator = function() {
                     return 'delete from ' + this.data.from;
                 case 'insert_into':
                     return 'insert into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
-                case 'replace':
-                    return 'replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'insert_replace':
                     return 'insert or replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
+                case 'replace':
+                    return 'replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'select':
                     var join = '';
 
@@ -663,6 +664,11 @@ var joliCreator = function() {
             this.data.from = table;
             return this;
         },
+        insertReplace: function(table) {
+            this.data.operation = 'insert_replace';
+            this.data.from = table;
+            return this;
+        },
         join: function(table, local_id, foreign_id) {
             this.data.join.push([table, local_id, foreign_id]);
             return this;
@@ -688,11 +694,6 @@ var joliCreator = function() {
             this.data.from = table;
             return this;
         },
-        insertReplace: function(table) {
-            this.data.operation = 'insert_replace';
-            this.data.from = table;
-            return this;
-        },
         select: function(columns) {
             this.data.operation = 'select';
 
